# Uses of Class
javax.swing.text.html.HTMLEditorKit.Parser

Packages that use HTMLEditorKit.Parser
Package
Description
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of HTMLEditorKit.Parser in javax.swing.text.html

Methods in javax.swing.text.html that return HTMLEditorKit.Parser
Modifier and Type
Method
Description
`HTMLEditorKit.Parser`
HTMLDocument.`getParser()`
Returns the parser that is used when inserting HTML into the existing document.
`protected HTMLEditorKit.Parser`
HTMLEditorKit.`getParser()`
Fetch the parser to use for reading HTML streams.
Methods in javax.swing.text.html with parameters of type HTMLEditorKit.Parser
Modifier and Type
Method
Description
`void`
HTMLDocument.`setParser​(HTMLEditorKit.Parser parser)`
Sets the parser that is used by the methods that insert html into the existing document, such as `setInnerHTML`, and `setOuterHTML`.

## Uses of HTMLEditorKit.Parser in javax.swing.text.html.parser

Subclasses of HTMLEditorKit.Parser in javax.swing.text.html.parser
Modifier and Type
Class
Description
`class`
`ParserDelegator`
Responsible for starting up a new DocumentParser each time its parse method is invoked.